Home/Support/Support Forum/Dwcd error on start: OBJECT expected on line 1
Welcome to Digi Forum, where you can ask questions and receive answers from other members of the community.

Dwcd error on start: OBJECT expected on line 1

0 votes
Dynamic C 10.72C was installed on a Windows XP machine as a backup. The install seemed successful. When the icon is double-clicked, Dynamic C does not start . Instead an error dialog box is shown with header Dwcd and message OBJECT expected on line 1. Dynamic C was working fine on this computer until the operating system had to be re-installed.

What could be the problem? Any solutions?
asked Aug 8 in Rabbit Software by Rabbit_Master_n New to the Community (11 points)

Please log in or register to answer this question.

2 Answers

+1 vote
Rabbit_Master_n and TomCollins.

I was running into this issue as well and solved it by doing the following:
1.) Uninstalling Dynamic C
2.) Going into the registry and deleting all folders pertaining to Digi and ZWorld.

Unfortunately I was a bit frustrated at this point, and was not particularly diligent in recording my steps, so all I can really offer is try manually ripping Digi and ZWorld from the registry as there seems to be some hanging reference.

I'm only using Dynamic C on this computer to compile to a targetless bin for ease of editing files. I use separate computer for actually compiling and loading data to my rabbit boards otherwise I would not have been so gungho so please take my "solution" with a grain of salt, as I certainly am not 100% confident I have not broken Dynamic C in a way I have not run into, but perhaps this can help you.

Best of luck
answered Aug 25 by bosowskin New to the Community (3 points)
Dynamic C makes use of HKCU\Software\ZWorld\DCW\Rabbit, so deleting that full folder should suffice.  There might be an outdated reference in one of those entries, and the compiler isn't doing a good job of validating it before use.

Anything under "Digi" or "Digi International" would be related to other software (like XCTU, for example).
0 votes
Did you reinstall Dynamic C after re-installing Windows XP? I can't recall whether the Dynamic C installer installs any additional content to C:\Windows.

What happens if you double-click on dcwd.exe, instead of the shortcut configured for running it as 10.72C?

Does RFU.EXE (from the Utilities directory) work?

How about running Dccl_cmp.exe from a command-line?

I'd recommend at least using Windows 7, if not Windows 10 for running Dynamic C.
answered Aug 11 by TomCollins Veteran of the Digi Community (1,998 points)
Dynamic C was just re-installed again.  Double clicking on Dcwd.exe produces the same result.  rfu.exe does run and successfully loads the flash.  Dccl_cmp.exe just produces a list of options.  I prefer to run from the IDE.  Now that I have control back though the Windows 10 computer, I can abandon trying to run from XP.
I don't plan on doing any future projects on Rabbit; just when existing projects need modification.

Thanks for your reply.
Ah, one final tidbit.  You should launch using the .lnk file in the Dynamic C directory instead of running Dcwd.exe directly.  Using the .lnk file allows it to reference the correct Registry options and report the correct version in the title bar.

Can you please give that a try and let me know if it works?  If so, I'll update our documentation accordingly.
Thanks for looking for a solution.
There is no .lnk file in the 10.72C folder.

The original directory name (DCR_10.72C) had period in it; so I thought that might be a problem. DCR was uninstalled and then re-installed (typical install) to the directory DCR_1072C.

THe install went well and it put a shortcut on the desktop: "Dynamic C 10.72C".  The target shortcut is "C:\DCR_1072C\Dcwd.exe -c C".  When the shortcut is double clicked, the "OBJECT expected on line 1" error message again appears.

There is no .lnk file in the directory to double click.

As I mentioned before, I have control of the Windows 10 install.  So, I really don't need the Windows XP version.
I'm curious if the 10.72 install (which is slightly different from 10.72C) does work.  If so, I might be able to update the upcoming 10.72E installer to resolve whatever issue is causing this failure.

I understand if you've already spent too much time on it, but if you are curious enough to try the 10.72 installer, I'd love to hear about the outcome.
Hi Tom:
I happened to still have the 10.72 install file on the windows XP machine.  I uninstalled 10.72C and installed 10.72.

Sorry, but it also gave the "OBJECT expected on line 1." message.
Steve
...